require_relative 'lib/ordr/version'

Gem::Specification.new do |spec|
  spec.name          = "ordr"
  spec.version       = Ordr::VERSION
  spec.authors       = ["Francesco Boffa"]
  spec.email         = ["francesco@ordr.menu"]

  spec.summary       = "Ruby SDK for the ORDR API" 
  spec.description   = "ORDR is where Restaurants meet Technology. Visit https://ordr.menu to know more"
  spec.homepage      = "https://ordr.menu"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/ordr/ordr-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/ordr/ordr-ruby/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
